echo off
echo
echo *** Dump all datasets from ASTER Level1A ***
echo *** (C) 2001, RD center ScanEx; 
echo *** comments to shumilin@scanex.ru 
echo ******************************************** 
rem * This script takes an full name of ASTER Level1A file and dumps all image SDSs
rem * in the same directory. Output type may be modified with help of "PARAMS" parameter
rem * Several samples:
rem *   1. "-b1 -d1 -xT" = dumps all to 16 or 8 bit TIFF, image values are not changed in any way
rem *   2. "-b1 -d1 -h -xB" = dumps to Windows BMP with 2% histogramm stretch 
rem *   2. "-b1 -d1 -e -xB" = dumps to Windows BMP with histogramm equalization
rem ******************************************************************************

set PARAMS=-b1 -d1 -h -xT

rem ***************************************************************************** 
rem **VNIR
hdfbrowse.exe -f%1 -o%1.1.tif %PARAMS% -s"VNIR!VNIR_Band1!Data Fields!ImageData"
hdfbrowse.exe -f%1 -o%1.2.tif %PARAMS% -s"VNIR!VNIR_Band2!Data Fields!ImageData"
hdfbrowse.exe -f%1 -o%1.3.tif -s"VNIR!VNIR_Band3N!Data Fields!ImageData"
hdfbrowse.exe -f%1 -o%1.4.tif -s"VNIR!VNIR_Band3B!Data Fields!ImageData" 
rem **SWIR
hdfbrowse.exe -f%1 -o%1.5.tif %PARAMS% -sImageData[5] 
hdfbrowse.exe -f%1 -o%1.6.tif %PARAMS% -sImageData[6]
hdfbrowse.exe -f%1 -o%1.7.tif %PARAMS% -sImageData[7]
hdfbrowse.exe -f%1 -o%1.8.tif %PARAMS% -sImageData[8]
hdfbrowse.exe -f%1 -o%1.9.tif %PARAMS% -sImageData[9]
hdfbrowse.exe -f%1 -o%1.10.tif %PARAMS% -sImageData[10] 
rem **TIR
hdfbrowse.exe -f%1 -o%1.11.tif  %PARAMS% -s"TIR!TIR_Band10!Data Fields!ImageData"  
hdfbrowse.exe -f%1 -o%1.12.tif %PARAMS% -s"TIR!TIR_Band11!Data Fields!ImageData"
hdfbrowse.exe -f%1 -o%1.13.tif %PARAMS% -s"TIR!TIR_Band12!Data Fields!ImageData"
hdfbrowse.exe -f%1 -o%1.14.tif %PARAMS% -s"TIR!TIR_Band13!Data Fields!ImageData"
hdfbrowse.exe -f%1 -o%1.15.tif %PARAMS% -s"TIR!TIR_Band14!Data Fields!ImageData"
